## freckfrackery.dotfiles
<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Platforms](http://img.shields.io/badge/platforms-debian%20/%20el%20/%20macosx%20/%20ubuntu-lightgrey.svg?style=flat)](#)


This role parses a folder containing dotfiles (layed out in a certain way), symbolically links them into
the right place, and makes sure that all the applications referenced in those dotfiles are installed on the host system.



### Role variables

List of default variables available in the inventory:

```YAML
---
# defaults file for dotfiles

dotfiles_folder: "{{ ansible_env.HOME }}/dotfiles"           # the folder to process
dotfiles_no_stow: false
dotfiles_unstow: false                                       # unstow dotfiles, instead of install, this also prevents any packages to be installed
dotfiles_packages: []                                        # additional package to install

dotfiles_ignore_install_errors: true                         # whether to ignore errors when installing packages
dotfiles_stow_target: "{{ ansible_env.HOME }}"               # the base folder to 'stow' config directories into
dotfiles_skip_extra_packages: false                          # whether to skip the install of the extra packages
dotfiles_skip_folder_packages: false                         # whether to skip the install of packages calculated from folder names

dotfiles_default_stow_target_dir: "{{ ansible_env.HOME }}"   # the default stow base target
dotfiles_stow_delete_conflicts: false                        # whether to delete stow conflicts by default
dotfiles_pkg_mgr_for_stow: auto                              # the pkg_mgr to use to instasll stow

dotfile_folder_package_overlay: {}  # optional, makes it possible to have more detailed control over folder package install process (e.g. ignore some packages, select certain pkg_mgrs for others...)
# dotfiles_folder_files:            # optional, to avoid having to look up files again



#dotfiles_no_folder_install: false
#dotfiles_no_package_install: false
#dotfiles_extra_pkg_mgrs: []
#
#dotfiles_no_stow: false
#dotfiles_stow_method: 'stow'  # not used at the moment

#dotfiles_stow_delete_conflicts: false
#dotfiles_stow_become: true
```

List of internal variables used by the role:

    stow_folders
    subfolders_list
    __folder_packages_metadata__
    __dotfile_folder_facts__
    __folder_stow_metadata__
    dotfiles_no_package_install
    package_list_legacy
    __freckle_folders__
    __package_folders__
### Usage


#### Details
TBD

#### Example playbook

```YAML
- hosts: all
  roles:
    - freckfrackery.dotfiles
```


#### Requirements

This role depends on a few other roles (and their dependencies if any):

- [freckfrackery.install-pkgs](https://gitlab.com/freckfrackery/freckfrackery.install-pkgs)
- [freckfrackery.install-pkg-mgrs](https://gitlab.com/freckfrackery/freckfrackery.install-pkg-mgrs)
- [freckfrackery.install-conda](https://gitlab.com/freckfrackery/freckfrackery.install-conda)
- [freckfrackery.install-nix](https://gitlab.com/freckfrackery/freckfrackery.install-nix)
- [freckfrackery.install-vagrant](https://gitlab.com/freckfrackery/freckfrackery.install-vagrant)
- [freckfrackery.install-virtualbox](https://gitlab.com/freckfrackery/freckfrackery.install-virtualbox)

#### Caution

This role was developed to be used in the [freckles project](https://freckles.io). It can also be used without it,
but this will take a bit more effort, and is not supported right now. Ping [me](mailto:markus@frkl.io) if you are
interested in this.
### Authors and license

`freckfrackery.dotfiles` role was written by:

- [Markus Binsteiner](https://freckles.io) | [e-mail](mailto:makkus@frkl.io) | [Twitter](https://twitter.com/__frkl__)

License: [GPLv3](https://www.gnu.org/licenses/gpl-3.0.txt)

***
This role is part of the [freckles](https://freckles.io) project.

README.md generated by [Ansigenome](https://github.com/nickjj/ansigenome/).
