## freckfrackery.install-conda
<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Platforms](http://img.shields.io/badge/platforms-debian%20/%20el%20/%20macosx%20/%20ubuntu-lightgrey.svg?style=flat)](#)


This role is pretty straightforward, it just follows the recommended approach from [the conda homepage](https://conda.io/docs/user-guide/install/index.html) to install ``miniconda`` (not ``anaconda`` -- ping me if you'd like to extend this role to do that instead).



### Role variables

List of default variables available in the inventory:

```YAML
---
# defaults file for freckfrackery.install-conda

conda_rel_path: ".local/share/inaugurate"                         # relative path from home dir. either that this, or 'conda_parent_dir' directly
conda_parent_dir: "{{ ansible_env.HOME }}/{{ conda_rel_path }}"   # the directory to install conda into
conda_validate_certs: true                                        # validate https cert when downloading miniconda
conda_extra_args: ""                                              # extra args for update, you can probably ignore this
conda_add_to_path: true                                           # whether to add conda path to PATH in init/profile files
conda_add_path_files:                                             # list of init/profile files to modify to add conda path
  - "{{ ansible_env.HOME }}/.profile"
```


### Usage


#### Details
This role installs conda into ``$HOME/.local/share/inaugurate``, not the default location suggested in the install instructions. Just change the ``conda_parent_dir`` or ``conda_rel_path`` vars to change that.

This role also, by default, adds a few lines to ``$HOME/.profile`` to add conda to your ``PATH``. Check out the list of variables from above to adjust or disable that behaviour.

#### Example playbook

```YAML
- hosts: all
  roles:
    - freckfrackery.install-conda
```


### Authors and license

`freckfrackery.install-conda` role was written by:

- [Markus Binsteiner](https://freckles.io) | [e-mail](mailto:makkus@frkl.io) | [Twitter](https://twitter.com/__frkl__)

License: [GPLv3](https://www.gnu.org/licenses/gpl-3.0.txt)

***
This role is part of the [freckles](https://freckles.io) project.

README.md generated by [Ansigenome](https://github.com/nickjj/ansigenome/).
